Subject: bug#62064: Why is only rust-1.60 exported when 1.65 is defined?

From: Jonas Møller <[email-masked]>
Date: Tue, 04 Apr 2023 11:53:18 +0000

Yes, rust-next works, but I was imagining renaming the current rust to something like default-rust-build, then defining a new ‘rust’ which will be continuously updated to the latest version of rust.

I think a user centric design would name the latest rust as just ‘rust’, while letting the package-manager implementation detail have the longer name.

Mvh Jonas Møller

On Mon, Apr 3, 2023 at 16:03, Simon Tournier <[email-masked]> wrote:

> Hi,
>
> On mar., 14 mars 2023 at 08:59, Jonas Møller via Bug reports for GNU Guix <[email-masked]> wrote:
>
>> I think it would be best if Guix separated these concerns, by
>> disconnecting the "Rust we use to build packages internally" with the
>> "Rust that gets installed with `guix install rust`"
>
> Using your proposal, how do you deal with
>
> guix install rust rust-foobar
>
> ? Do you expect that rust-foobar is built using the latest Rust or the
> internal Rust?
>
> Well, from my point of view, what you would like is that the symbol
> ’rust-1.65’ would be named “rust-next”. It is the current way for
> several versions; see emacs vs emacs-next.
>
> See https://issues.guix.gnu.org/62643
>
> I propose to close this report once #62643 is merged.
>
> Cheers,
> simon